# Class T8GIMeshDescriptor

##### Index

### Constructors

constructor

### Properties

hash
indexCount
localBboxMax
localBboxMin
vertexCount

### Methods

create

## Constructors

### constructor

- new T8GIMeshDescriptor(
  hash: Uint8Array,
  localBboxMin: [number, number, number],
  localBboxMax: [number, number, number],
  vertexCount: number,
  indexCount: number,
  ): T8GIMeshDescriptor

  #### Parameters

  - hash: Uint8Array
  - localBboxMin: [number, number, number]
  - localBboxMax: [number, number, number]
  - vertexCount: number
  - indexCount: number

  #### Returns T8GIMeshDescriptor

## Properties

### `Readonly` hash

hash: Uint8Array

### `Readonly` indexCount

indexCount: number

### `Readonly` localBboxMax

localBboxMax: [number, number, number]

### `Readonly` localBboxMin

localBboxMin: [number, number, number]

### `Readonly` vertexCount

vertexCount: number

## Methods

### `Static` create

- create(dto: T8GIMeshDescriptorDTO): T8GIMeshDescriptor

  #### Parameters

  - dto: T8GIMeshDescriptorDTO

  #### Returns T8GIMeshDescriptor